<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="dsWMS" targetNamespace="http://tempuri.org/dsWMS.xsd" xmlns:mstns="http://tempuri.org/dsWMS.xsd" xmlns="http://tempuri.org/dsWMS.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="1" FunctionsComponentName="QueriesTableAdapter" GeneratorFunctionsComponentClassName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" UserFunctionsComponentName="QueriesTableAdapter" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="WMS_DEV" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="WMS_DEV (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Project.Properties.Settings.GlobalReference.Default.WMS_DEV" Provider="System.Data.SqlClient" />
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="CS" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="CS (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Project.Properties.Settings.GlobalReference.Default.WMS_DEV" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="VW_GET_MAX_QTY_VENDOR_LOTTableAdapter" GeneratorDataComponentClassName="VW_GET_MAX_QTY_VENDOR_LOTTableAdapter" Name="VW_GET_MAX_QTY_VENDOR_LOT" UserDataComponentName="VW_GET_MAX_QTY_VENDOR_LOTTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CS (Settings)" DbObjectName="WMS.dbo.VW_GET_MAX_QTY_VENDOR_LOT" DbObjectType="View" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  SID, PART_NO, MFG_DATE, VENDOR_NM, BATCH_NO, QTY, CUST_CODE, VENDOR_LOT
FROM     VW_GET_MAX_QTY_VENDOR_LOT</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="PART_NO" DataSetColumn="PART_NO" />
              <Mapping SourceColumn="VENDOR_NM" DataSetColumn="VENDOR_NM" />
              <Mapping SourceColumn="BATCH_NO" DataSetColumn="BATCH_NO" />
              <Mapping SourceColumn="QTY" DataSetColumn="QTY" />
              <Mapping SourceColumn="CUST_CODE" DataSetColumn="CUST_CODE" />
              <Mapping SourceColumn="VENDOR_LOT" DataSetColumn="VENDOR_LOT" />
              <Mapping SourceColumn="SID" DataSetColumn="SID" />
              <Mapping SourceColumn="MFG_DATE" DataSetColumn="MFG_DATE" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources>
          <DbSource ConnectionRef="CS (Settings)" DbObjectName="WMS.dbo.X_SP_GET_UNIT_ID_LABEL" DbObjectType="StoredProcedure" GenerateShortCommands="true" GeneratorSourceName="X_SP_GET_UNIT_ID_LABEL" MethodsParameterType="CLR" Modifier="Public" Name="X_SP_GET_UNIT_ID_LABEL" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy" UserSourceName="X_SP_GET_UNIT_ID_LABEL">
            <SelectCommand>
              <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                <CommandText>dbo.X_SP_GET_UNIT_ID_LABEL</CommandText>
                <Parameters>
                  <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                  <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@P_PROGRAM_ID" Precision="0" ProviderType="VarChar" Scale="0" Size="500" SourceColumnNullMapping="false" SourceVersion="Current" />
                  <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@P_CENTER_CD" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                  <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@P_ITEM_CD" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                  <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@P_REG_USER_ID" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                  <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@P_REG_IP" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                  <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="InputOutput" ParameterName="@O_UNIT_ID" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumnNullMapping="false" SourceVersion="Current" />
                  <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="InputOutput" ParameterName="@O_MSG" Precision="0" ProviderType="VarChar" Scale="0" Size="500" SourceColumnNullMapping="false" SourceVersion="Current" />
                </Parameters>
              </DbCommand>
            </SelectCommand>
          </DbSource>
        </Sources>
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="dsWMS" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="dsWMS" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="dsWMS">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="VW_GET_MAX_QTY_VENDOR_LOT" msprop:Generator_RowEvHandlerName="VW_GET_MAX_QTY_VENDOR_LOTRowChangeEventHandler" msprop:Generator_RowDeletedName="VW_GET_MAX_QTY_VENDOR_LOTRowDeleted" msprop:Generator_RowDeletingName="VW_GET_MAX_QTY_VENDOR_LOTRowDeleting" msprop:Generator_RowEvArgName="VW_GET_MAX_QTY_VENDOR_LOTRowChangeEvent" msprop:Generator_TablePropName="VW_GET_MAX_QTY_VENDOR_LOT" msprop:Generator_RowChangedName="VW_GET_MAX_QTY_VENDOR_LOTRowChanged" msprop:Generator_UserTableName="VW_GET_MAX_QTY_VENDOR_LOT" msprop:Generator_RowChangingName="VW_GET_MAX_QTY_VENDOR_LOTRowChanging" msprop:Generator_RowClassName="VW_GET_MAX_QTY_VENDOR_LOTRow" msprop:Generator_TableClassName="VW_GET_MAX_QTY_VENDOR_LOTDataTable" msprop:Generator_TableVarName="tableVW_GET_MAX_QTY_VENDOR_LOT">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_UserColumnName="idx" msprop:Generator_ColumnVarNameInTable="columnidx" type="xs:int" />
              <xs:element name="PART_NO" msprop:Generator_ColumnPropNameInTable="PART_NOColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="PART_NO" msprop:Generator_UserColumnName="PART_NO" msprop:Generator_ColumnVarNameInTable="columnPART_NO" type="xs:string" minOccurs="0" />
              <xs:element name="VENDOR_NM" msprop:Generator_ColumnPropNameInTable="VENDOR_NMColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="VENDOR_NM" msprop:Generator_UserColumnName="VENDOR_NM" msprop:Generator_ColumnVarNameInTable="columnVENDOR_NM" type="xs:string" />
              <xs:element name="BATCH_NO" msprop:Generator_ColumnPropNameInTable="BATCH_NOColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="BATCH_NO" msprop:Generator_UserColumnName="BATCH_NO" msprop:Generator_ColumnVarNameInTable="columnBATCH_NO" type="xs:string" minOccurs="0" />
              <xs:element name="QTY" msprop:Generator_ColumnPropNameInTable="QTYColumn" msprop:Generator_ColumnPropNameInRow="QTY" msprop:Generator_UserColumnName="QTY" msprop:Generator_ColumnVarNameInTable="columnQTY" type="xs:decimal" minOccurs="0" />
              <xs:element name="CUST_CODE" msprop:Generator_ColumnPropNameInTable="CUST_CODEColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="CUST_CODE" msprop:Generator_UserColumnName="CUST_CODE" msprop:Generator_ColumnVarNameInTable="columnCUST_CODE">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="VENDOR_LOT" msprop:Generator_ColumnPropNameInTable="VENDOR_LOTColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="VENDOR_LOT" msprop:Generator_UserColumnName="VENDOR_LOT" msprop:Generator_ColumnVarNameInTable="columnVENDOR_LOT">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SID" msprop:Generator_ColumnPropNameInTable="SIDColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="SID" msprop:Generator_UserColumnName="SID" msprop:Generator_ColumnVarNameInTable="columnSID">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MFG_DATE" msprop:Generator_ColumnPropNameInTable="MFG_DATEColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="MFG_DATE" msprop:Generator_UserColumnName="MFG_DATE" msprop:Generator_ColumnVarNameInTable="columnMFG_DATE" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="8" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:VW_GET_MAX_QTY_VENDOR_LOT" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
  </xs:element>
</xs:schema>